@import url('https://fonts.googleapis.com/css?family=Bitter:700');
@import url('https://fonts.googleapis.com/css?family=Noto+Sans');

:root {
    --text-color: rgba(0 0 0 / 97%);
    --head-color: rgb(4 78 103 / 97%);
    --link-color: rgba(215 93 0 / 97%);
    --dl-primary-color: #0c516a;
    --dl-highlight-color: #6caab8;
    --dl-secondary-color: #ad1457;
    --icon-fill: #1a7191;
    --invert-color: rgba(255 255 255 / 97%);
    --rule-color: rgba(37 64 86 10%);
    --error-color: #b71c1c;
    
    --page-bg: #335470;
    --bright-bg: #fff;
    --content-bg: #81cedf;
    --nav-bg: #ffecb3;
    --dl-bg: #fff;
    --quote-bg: rgba(255,255,255,0.4);
    
    --shadow-color: rgb(34,34,34,0.67);
    
    --head-font: "Bitter", serif;
    --body-font: "Noto Sans", sans-serif;
    /* color-scheme: light dark; */
}

/*
@media (prefers-color-scheme: dark) {
    :root {
        --text-color: rgba(255,255,255,0.9);
        --head-color: rgb(129,212,250,0.97);
        --link-color: #ffc026;
        --dl-primary-color: #245071;
        --dl-highlight-color: #3c86be;
        --dl-secondary-color: #c054da;
        --icon-fill: #b3b3b3;
        --invert-color: rgba(255,255,255,0.97);
        --rule-color: #212121;
        --error-color: #b71c1c;

        --page-bg: #000;
        --bright-bg: #040404;
        --content-bg: #111;
        --nav-bg: #001033;
        --dl-bg: #000;
        --quote-bg: #000;
    }
    body {
        background: var(--page-bg) url('images/background-dark.jpg') no-repeat fixed center/cover !important;
    }
    img.shadow {
        filter: brightness(0.85) !important;
    }
    dl-matrix img {
        filter: brightness(2);
    }
}
*/

body {
    background: var(--page-bg) url('images/background-light.jpg') no-repeat fixed center/cover;
    margin: 0;
    padding: 0;

    line-height: 1.66;
    font-family: var(--body-font);
    font-size: 1.2rem;
    color: var(--text-color);
}
#container {
    position: relative;
    padding: 0px;
    margin: 2rem auto;
    background-color: var(--content-bg);
    width: 1200px;
    max-width: calc(100vw - 4rem);
    box-shadow: 0 0 32px var(--shadow-color);
}
#banner {
    background: var(--bright-bg);
    text-align: center;
}
#banner img {
    padding: 1rem 1rem 0rem 1rem;
    margin: 0 auto;
    width: 67%;
    max-width: 320px; 
}
h1, h2, h3 {
    font-family: var(--head-font);
    color: var(--head-color);
    font-size: 1.8rem;
    margin-top: 0.67em;
    margin-bottom: 0;
}
h1 {
    margin-top: 1.8em;
}
h2 { font-size: 1.5rem }
h3 { font-size: 1.25rem }
h1 + p, h2 + p, h3 + p {
    margin-top: 0;
}
h1.center {
    text-align: center;
}

nav a {
    text-decoration: none;
}
a {
    color: var(--head-color);
    transition: 0.2s color, 0.2s background-color;
}
a:hover, a:active {
    color: var(--link-color);
    text-decoration: underline;
}
nav {
    font-family: var(--head-font);
    font-size: 1.22rem;
    color: var(--head-color);
    border-style: solid;
	border-width: 2px 0;
	border-color: var(--head-color);
	background-color: var(--nav-bg);
    text-align: center;
    width: 100%;
}
nav ul {
    text-align: center;
    padding: 3px 1rem;
    margin: 0;
}
nav ul li {
    display: inline;
    white-space: nowrap;
}
nav ul li:not(:last-child)::after {
    content: "\00a0\00b7\00a0";
}
.content {
    background: var(--content-bg);
    display: flex;
}
.left-col {
    width: 234px;
    text-align: center;
    vertical-align: top;
    padding-top: 1rem;
}
.mid-col {
    width: calc(100% - 468px);
    flex: 1 1;
}
.right-col {
    width: 234px;
    padding: 3.5rem 0.8rem 1rem 0;
    text-align: right;
}
.left-col > p:first-child, .right-col > p:first-child {
    margin-top: 5rem;
}
.left-col > p:first-child.dl {
    margin-top: 11rem;
}
p > img:only-child {
    max-width: 80%;
    margin: 1rem auto;
    display: block;
}
p > picture:only-child > img {
    max-width: 80%;
    margin: 1rem auto;
    display: block;
}
img.shadow {
    filter: drop-shadow(0 0 6px var(--shadow-color));
}
inline-images {
    display: none;
}
svg {
    fill: var(--icon-fill);
}
.curpage > a{
    color: var(--head-color);
    text-decoration: underline;
}

dl-matrix {
    position: relative;
    font-size: 1rem;
    margin: 1rem 0.5rem 3rem 0.5rem;
    width: calc(100% - 2rem);
    background-color: var(--dl-bg);
    padding: 0.25em;
    border-radius: 0.5rem;
    border: 4px solid var(--dl-primary-color);
    display: block;
}
dl-version, dl-build {
    width: 100%;
    text-align: center;
    font-family: var(--head-font);
    display: block;
}
dl-version {
    font-size: 1.5rem;
    color: var(--dl-secondary-color);
}
.stable dl-version {
    font-size: 1.8rem;
}
dl-build {
    color: var(--head-color);
}
dl-platforms {
    display: flex;
    justify-content: center;
    align-items: center;
    flex-wrap: wrap;
    margin: 0.5rem 0;
}
dl-platform {
    min-width: 10rem;
    text-align: center;
    padding: 1rem;
    font-size: 0.8rem;
}
dl-os {
    font-weight: bold;
    font-size: 1.2rem;
    display: block;
}
dl-packages {
    display: block;
    font-size: 1rem;
}
dl-packages a {
    background: var(--dl-primary-color);
    color: var(--invert-color);
    padding: 2px 8px;
    border-radius: 3px;
    transition: color 0.2s, background-color 0.2s;
}
dl-packages a:hover, dl-packages a:active, dl-packages a:visited {
    color: var(--invert-color);
}
dl-packages a:hover, dl-packages a:active {
    background: var(--dl-highlight-color);
}
dl-jar {
    display: block;
    font-size: 0.8rem;
    text-align: center;
}
dl-all-releases {
    display: block;
    text-align: center;
    font-weight: bold;
}
dl-matrix img {
    width: 3rem;
    height: 3rem;
}
dl-matrix svg {
    width: 3rem;
    height: 3rem;
}
dl-gh-block {
    display: flex;
    margin: 1rem 0;
    justify-content: center;
    align-items: center;
}
dl-gh-block > * {
    display: inline-block;
}
dl-gh-block > div {
    padding-inline-start: 0.75rem;
}
dl-gh-block p {
    margin: 0;
    padding: 0.1rem;
    height: 1rem;
    line-height: 1rem;
    font-size: 0.9rem;
    text-align: start;
}
dl-sponsor {
    font-size: 0.8rem;
    text-align: center;
}

hr {
  border: var(--rule-color) 0.5px solid;
}

input {
    font-size: 1.1rem;
    font-family: var(--body-font);
}
#file-stats {
    font-size: 0.95rem;
    font-weight: bold;
    margin-bottom: 0.25rem;
    margin-left: 1rem;
}
.nowrap { white-space: nowrap; }
.error {
    color: var(--error-color);
    font-weight: bold;
}
code {
    font-family: monospace;
    font-size: 1.5rem;
}
blockquote {
    margin: 1rem 0;
    padding: 0.5rem 1rem;
    background-color: var(--quote-bg);
    font-size: 0.8rem;
    width: 80%;
    max-width: 500px;
}
blockquote.download {
    margin: 0 auto;
}

#file {
    display: none;
}
#upload-drop-zone {
    border-radius: 1rem;
    border: 4px dashed var(--dl-primary-color);
    background: rgba(0,0,0,0.2);
    padding: 0.5rem 1rem;
    width: 80%;
    max-width: 500px;
    height: 8rem;
    overflow-y: auto;
    transition: 0.2s border-color, 0.2s background-color, 0.2s color, 0.2s fill;
    cursor: pointer;
}
#upload-drop-zone.highlight {
    border-color: var(--invert-color);
    background: rgba(0,0,0,0.3);
}
#upload-drop-zone > ol {
    font-size: 0.8rem;
    margin: 0;
    padding-inline-start: 0.5rem;
}
#upload-drop-zone > div {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: row;
    align-items: center;
}
#upload-drop-zone > div > svg {
    width: 3rem;
    height: 3rem;
    fill: var(--icon-fill);
}
#upload-drop-zone > div > div {
    padding-left: 0.3rem;
    font-weight: bold;
    font-size: 0.9rem;
    line-height: 1.2rem;
}
#upload-drop-zone.highlight > div > svg {
    fill: var(--invert-color);
}
#upload-drop-zone.highlight > div > div {
    color: var(--invert-color);
}
.upload-status {
    font-size: 0.9rem;
}
.upload-status code {
    font-size: 0.9rem;
}
#upload, #upload-progress {
    width: 18rem;
}
#upload-progress {
    visibility: hidden;
}

@media screen and (max-width: 1023px) {
    .left-col { display: none; }
    .mid-col {
        width: calc(100% - 4rem);
        padding-left: 2rem;
        padding-right: 2rem;
    }
    .right-col { display: none; }
}

@media screen and (max-width: 799px) {
    #container {
        width: 100%;
        margin: 0;
        border: none;
        box-shadow: none;
        max-width: none;
        min-height: 100vh;
    }
}

@media screen and (max-width: 450px) {
    table.download td {
        padding-right: 1rem;
    }
    table.download img {
        width: 2rem;
    }    
}